#   Top Level Makefile for the Webalizer and associated libraries
#
#   Written:     7-APR-2000 Rick Dyson (rick-dyson@uiowa.edu)
#   Modified:   29-SEP-2000 RLD Updated for Webalizer v2.01-03
#                8-OCT-2000 RLD Updated for Webalizer v2.01-05
#                9-APR-2001 RLD Updated for Webalizer v2.01-06 and
#                               LibPNG v1.0.10
#               24-OCT-2001 RLD Updated for Webalizer v2.01-09,
#                               LibGD v1.8.4, and LibPNG v1.2.0
#               13-MAR-2002 RLD Updated for ZLib v1.1.4
#               19-APR-2002 RLD Updated for Webalizer v2.01-10
#
#   The default is to build Webalizer with PNG output.
#
#   To build with JPEG output, execute with the command line:
#       MMS jpeg

# Source and Library locations/versions
WEBALIZER = webalizer-2_01-10
LIBJPEG   = jpeg-6b
LIBZ      = zlib-1_1_4
LIBGD     = gd-1_8_4
LIBPNG    = libpng-1_2_0

default :	libz libpng libgd webalizer
	@ Write Sys$Output ""
	@ Write Sys$Output "$(WEBALIZER)/PNG and required libraries are complete..."
	@ Write Sys$Output ""

jpeg :  libjpeg libz libpng libgd jpeg_out
	@ Write Sys$Output ""
	@ Write Sys$Output "$(WEBALIZER)/JPEG and required libraries are complete..."
	@ Write Sys$Output ""

libjpeg :
	@ Set Default [.$(LIBJPEG)]
	@ Write Sys$Output ""
	@ Write Sys$Output "Building $(LIBJPEG)"
	- $(MMS) $(MMSQUALIFIERS) lib
	@ Set Default [-]

libz :
	@ Set Default [.$(LIBZ)]
	@ Write Sys$Output ""
	@ Write Sys$Output "Building $(LIBZ)"
	- $(MMS) $(MMSQUALIFIERS) lib
	@ Set Default [-]

libpng :
	@ Set Default [.$(LIBPNG)]
	@ Write Sys$Output ""
	@ Write Sys$Output "Building $(LIBPNG)"
	- $(MMS) $(MMSQUALIFIERS) lib
	@ Set Default [-]

libgd :
	@ Set Default [.$(LIBGD)]
	@ Write Sys$Output ""
	@ Write Sys$Output "Building $(LIBGD)"
	- $(MMS) $(MMSQUALIFIERS) lib
	@ Set Default [-]

webalizer :
	@ Set Default [.$(WEBALIZER)]
	@ Write Sys$Output ""
	@ Write Sys$Output "Building $(Webalizer) with PNG output"
	- $(MMS) $(MMSQUALIFIERS)
	@ Set Default [-]

jpeg_out :
	@ Set Default [.$(WEBALIZER)]
	@ Write Sys$Output ""
	@ Write Sys$Output "Building $(Webalizer) with JPEG output"
	- $(MMS) $(MMSQUALIFIERS) /Macro = (JPEG=1)
	@ Set Default [-]

clean :
	@ Set Default [.$(LIBJPEG)]
	- $(MMS) $(MMSQUALIFIERS) clean
	@ Set Default [-.$(LIBZ)]
	- $(MMS) $(MMSQUALIFIERS) clean
	@ Set Default [-.$(LIBPNG)]
	- $(MMS) $(MMSQUALIFIERS) clean
	@ Set Default [-.$(LIBGD)]
	- $(MMS) $(MMSQUALIFIERS) clean
	@ Set Default [-.$(WEBALIZER)]
	- $(MMS) $(MMSQUALIFIERS) clean
	@ Set Default [-]
	- Purge /NoLog /NoConfirm

clobber :	clean
	@ Set Default [.$(LIBJPEG)]
	- $(MMS) $(MMSQUALIFIERS) clobber
	@ Set Default [-.$(LIBZ)]
	- $(MMS) $(MMSQUALIFIERS) clobber
	@ Set Default [-.$(LIBPNG)]
	- $(MMS) $(MMSQUALIFIERS) clobber
	@ Set Default [-.$(LIBGD)]
	- $(MMS) $(MMSQUALIFIERS) clobber
	@ Set Default [-.$(WEBALIZER)]
	- $(MMS) $(MMSQUALIFIERS) clobber
	@ Set Default [-]
